'CSC 230 program from Sept. 7, 2005

'This program provides an interface for a customer to 
'order jeans.  There are a number of styles of jeans, but 
'to simplify the program for now.  They all cast $40.00. 

'(Note we must learn to format the numbers to look right 
' and learn to deal with products with different prices.)

Public Class FrmOrder

    Dim Subtotal As Double = 0
    'The subtotal will be the cost of the jeans 
    'but does bot include shipping
    'it is declared outside method so it is 
    'remembered from click to click 

    'when they click OK, add to their order (if everything is OK)
    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click
        Dim JeanNumber As Integer   'number of jeans being added to order

        If IsNumeric(txtNumber.Text) = True Then
            JeanNumber = CInt(txtNumber.Text)
            'cast number from text box as integer and assign it to JeanNumber variable
        Else
            'if they haven't entered a number
            MsgBox("Please enter a number.")    'tell them so
            txtNumber.Clear()                   'clear out the box
            txtNumber.Focus()                   'put the cursor in the box
            Exit Sub                            'don't carry on with the rest of the subroutine
        End If

        If JeanNumber <= 0 Then
            'if they entered 0 or a negative number 
            MsgBox("Please enter a positive number.")   'tell them so 
            Exit Sub                                    'don't carry on with subroutine
        End If

        txtOrder.Text &= JeanNumber & " " & cboStyle.Text & " (@ $40.00)" & vbCrLf
        'add a line describing recent addition to order
        Subtotal += JeanNumber * 40
        'update subtotal
        lblSubtotal.Text = Subtotal
        'display subtotal

        lblTotal.Text = Subtotal + CDbl(lblShipping.Text)
        'calculate and display total
    End Sub

    'if they change shipping type, update shipping cost and total
    Private Sub chkOvernight_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkOvernight.CheckedChanged
        'determine whether they checked overnight or not 
        'and charge for shipping accordingly
        If chkOvernight.Checked = True Then
            lblShipping.Text = 21.0
        Else
            lblShipping.Text = 6.0
        End If

        lblTotal.Text = Subtotal + CDbl(lblShipping.Text)
        'calculate and display total
    End Sub
End Class
